diff -pruN 2.2.1+dfsg.1-7/debian/changelog 2.2.1+dfsg.1-8/debian/changelog
--- 2.2.1+dfsg.1-7/debian/changelog	2020-02-21 15:31:57.000000000 +0000
+++ 2.2.1+dfsg.1-8/debian/changelog	2020-08-02 08:02:34.000000000 +0000
@@ -1,3 +1,20 @@
+cufflinks (2.2.1+dfsg.1-8) unstable; urgency=medium
+
+  [ Reiner Herrmann ]
+  * fix FTBFS with GCC 10
+    Closes: #966191
+
+  [ Andreas Tille ]
+  * debhelper-compat 13 (routine-update)
+  * Add salsa-ci file (routine-update)
+  * Use secure URI in Homepage field.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Remove obsolete field Name from debian/upstream/metadata (already present in
+    machine-readable debian/copyright).
+
+ -- Andreas Tille <tille@debian.org>  Sun, 02 Aug 2020 10:02:34 +0200
+
 cufflinks (2.2.1+dfsg.1-7) unstable; urgency=medium
 
   * Team upload
diff -pruN 2.2.1+dfsg.1-7/debian/control 2.2.1+dfsg.1-8/debian/control
--- 2.2.1+dfsg.1-7/debian/control	2020-02-21 15:31:46.000000000 +0000
+++ 2.2.1+dfsg.1-8/debian/control	2020-08-02 08:02:34.000000000 +0000
@@ -6,7 +6,7 @@ Uploaders: Alexandre Mestiashvili <mesti
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
                libboost-dev,
@@ -18,16 +18,16 @@ Build-Depends: debhelper-compat (= 12),
                python3,
                libeigen3-dev
 Standards-Version: 4.5.0
-Rules-requires-root: no
 Vcs-Browser: https://salsa.debian.org/med-team/cufflinks
 Vcs-Git: https://salsa.debian.org/med-team/cufflinks.git
-Homepage: http://cufflinks.cbcb.umd.edu
+Homepage: https://cufflinks.cbcb.umd.edu
+Rules-Requires-Root: no
 
 Package: cufflinks
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Recommends: gffread
 Enhances: tophat
 Description: Transcript assembly, differential expression and regulation for RNA-Seq
diff -pruN 2.2.1+dfsg.1-7/debian/patches/gcc10.patch 2.2.1+dfsg.1-8/debian/patches/gcc10.patch
--- 2.2.1+dfsg.1-7/debian/patches/gcc10.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.1+dfsg.1-8/debian/patches/gcc10.patch	2020-08-02 08:02:34.000000000 +0000
@@ -0,0 +1,17 @@
+Author: Reiner Herrmann <reiner@reiner-h.de>
+Description: Fix FTBFS with GCC 10
+ curwin is declared in different source file. declare it as extern
+ to fix multiple definition linker error.
+Bug-Debian: https://bugs.debian.org/966191
+
+--- a/src/locfit/startlf.c
++++ b/src/locfit/startlf.c
+@@ -233,7 +233,7 @@
+ extern lfit lf;
+ extern design des;
+ extern plots pl[];
+-int curwin;
++extern int curwin;
+ vari *vb;
+ 
+ INT nofit()
diff -pruN 2.2.1+dfsg.1-7/debian/patches/series 2.2.1+dfsg.1-8/debian/patches/series
--- 2.2.1+dfsg.1-7/debian/patches/series	2020-02-21 15:31:46.000000000 +0000
+++ 2.2.1+dfsg.1-8/debian/patches/series	2020-08-02 08:02:34.000000000 +0000
@@ -8,3 +8,4 @@ fix_gcc-7_ftbfs.patch
 format-security.patch
 lib_eigen.patch
 fix_gcc-6.1_issue_in_liblemon_code_copy.patch
+gcc10.patch
diff -pruN 2.2.1+dfsg.1-7/debian/salsa-ci.yml 2.2.1+dfsg.1-8/debian/salsa-ci.yml
--- 2.2.1+dfsg.1-7/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.1+dfsg.1-8/debian/salsa-ci.yml	2020-08-02 08:02:34.000000000 +0000
@@ -0,0 +1,4 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
diff -pruN 2.2.1+dfsg.1-7/debian/upstream/metadata 2.2.1+dfsg.1-8/debian/upstream/metadata
--- 2.2.1+dfsg.1-7/debian/upstream/metadata	2020-02-21 15:31:46.000000000 +0000
+++ 2.2.1+dfsg.1-8/debian/upstream/metadata	2020-08-02 08:02:34.000000000 +0000
@@ -1,5 +1,6 @@
 Contact: Cole Trapnell <cole@cs.umd.edu>
-Name: Cufflinks
+Bug-Database: https://github.com/cole-trapnell-lab/cufflinks/issues
+Bug-Submit: https://github.com/cole-trapnell-lab/cufflinks/issues/new
 Reference:
  - Author: >
     Cole Trapnell and Brian A Williams and Geo Pertea and
@@ -42,3 +43,5 @@ Registry:
    Entry: cufflinks
  - Name: conda:bioconda
    Entry: cufflinks
+Repository: https://github.com/cole-trapnell-lab/cufflinks.git
+Repository-Browse: https://github.com/cole-trapnell-lab/cufflinks
